using System;
class Program
{
    static void Main(string[] args)
    {
        int N = int.Parse(Console.ReadLine());
        for(int i = 0; i < N-1; i++)
        {
            string c = Console.ReadLine();
        }
        Console.WriteLine(N/2);
    }
}